Name:           perl-Net-Whois-Raw
Version:        2.82
Release:        1%{?dist}
Summary:        Get Whois information for domains
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-Whois-Raw/
Source0:        http://www.cpan.org/modules/by-module/Net/Net-Whois-Raw-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  %{_bindir}/iconv
BuildRequires:  perl
BuildRequires:  perl(Carp)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Encode)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(IO::Socket)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Regexp::IPv6)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(utf8)
BuildRequires:  perl(warnings)
Requires:       perl(Data::Dumper)
Requires:       perl(HTTP::Headers)
Requires:       perl(HTTP::Request)
Requires:       perl(LWP::UserAgent)
Requires:       perl(URI::URL)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Net::Whois::Raw queries WHOIS servers about domains. The module supports
recursive WHOIS queries. Also queries via HTTP is supported for some TLDs.

%prep
%setup -q -n Net-Whois-Raw-%{version}
iconv --from=ISO-8859-1 --to=UTF-8 Changes > Changes.new
touch -r Changes.new Changes
mv Changes.new Changes

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes COPYRIGHT README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%package -n pwhois
Summary:        Perl written whois client
Requires:       perl(Getopt::Long) >= 2
Requires:       perl(Net::IDN::Punycode) >= 1
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%global __requires_exclude %{?__requires_exclude:__requires_exclude|}^perl\\(Getopt::Long\\)$
%global __requires_exclude %__requires_exclude|^perl\\(Net::IDN::Punycode\\)$
%description -n pwhois
Command line whois client.  Invoke with a domain name, optionally with a whois server name.

%files -n pwhois
%doc README COPYRIGHT
%{_mandir}/man1/*
%{_bindir}/*

%changelog
* Sat Feb 14 2015 David Dick <ddick@cpan.org> - 2.82-1
- New TLDs for .MOSCOW and fix encoding for whois.jprs.jp

* Tue Jan 20 2015 David Dick <ddick@cpan.org> - 2.80-1
- New TLDs

* Mon Jul 07 2014 David Dick <ddick@cpan.org> - 2.76-1
- Initial release
